## TpTLSCertificateRejection

TpTLSCertificateRejection — a certificate rejection

## Functions

const gchar * | tp_tls_certificate_rejection_get_dbus_error ()
GVariant * | tp_tls_certificate_rejection_get_details ()
const GError * | tp_tls_certificate_rejection_get_error ()
TpTLSCertificateRejectReason | tp_tls_certificate_rejection_get_reason ()
gboolean | tp_tls_certificate_rejection_raise_error ()

## Properties

gchar * | dbus-error | Read / Write / Construct Only
GVariant * | details | Read / Write / Construct Only
GError * | error | Read / Write / Construct Only
guint | reason | Read / Write / Construct Only

## Types and Values

struct | TpTLSCertificateRejection

## Object Hierarchy

        GObject
        ╰── TpTLSCertificateRejection

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

TpTLSCertificateRejection is a small object used by TpTLSCertificate to represent the rejection of a certificate.

## Functions

### tp_tls_certificate_rejection_get_dbus_error ()

    const gchar *
    tp_tls_certificate_rejection_get_dbus_error
                                   (TpTLSCertificateRejection *self);

Return the “dbus-error” property

#### Parameters

self | a TpTLSCertificateRejection |

#### Returns

the value of “dbus-error” property

Since: 0.19.0

### tp_tls_certificate_rejection_get_details ()

    GVariant *
    tp_tls_certificate_rejection_get_details
                                   (TpTLSCertificateRejection *self);

Return the “details” property

#### Parameters

self | a TpTLSCertificateRejection |

#### Returns

the value of “details” property

Since: 0.19.0

### tp_tls_certificate_rejection_get_error ()

    const GError *
    tp_tls_certificate_rejection_get_error
                                   (TpTLSCertificateRejection *self);

Return the “error” property

#### Parameters

self | a TpTLSCertificateRejection |

#### Returns

the value of “error” property

Since: 0.19.0

### tp_tls_certificate_rejection_get_reason ()

    TpTLSCertificateRejectReason
    tp_tls_certificate_rejection_get_reason
                                   (TpTLSCertificateRejection *self);

Return the “reason” property

#### Parameters

self | a TpTLSCertificateRejection |

#### Returns

the value of “reason” property

Since: 0.19.0

### tp_tls_certificate_rejection_raise_error ()

    gboolean
    tp_tls_certificate_rejection_raise_error
                                   (TpTLSCertificateRejection *self,
                                    GError **error);

Convenient function to raise the “error” property in language binding supporting this feature.

#### Parameters

self | a TpTLSCertificateRejection |
error | a GError to fill. | [out][allow-none][transfer full]

#### Returns

`FALSE`

Since: 0.19.0

## Types and Values

### struct TpTLSCertificateRejection

    struct TpTLSCertificateRejection;

Data structure representing a TpTLSCertificateRejection.

Since: 0.19.0

## Property Details

### The `“dbus-error”` property

      “dbus-error”               gchar *

The D-Bus error name of the rejection

Owner: TpTLSCertificateRejection

Flags: Read / Write / Construct Only

Default value: NULL

Since: 0.19.0

### The `“details”` property

      “details”                  GVariant *

A G_VARIANT_TYPE_VARDICT containing the details of the rejection

Owner: TpTLSCertificateRejection

Flags: Read / Write / Construct Only

Allowed values: GVariant<a{sv}>

Default value: NULL

Since: 0.19.0

### The `“error”` property

      “error”                    GError *

a GError (likely to be in the `TP_ERROR` domain) indicating the reason of the rejection

Owner: TpTLSCertificateRejection

Flags: Read / Write / Construct Only

Since: 0.19.0

### The `“reason”` property

      “reason”                   guint

TpTLSCertificateRejectReason representing the reason of the rejection

Owner: TpTLSCertificateRejection

Flags: Read / Write / Construct Only

Allowed values: <= 10

Default value: 0

Since: 0.19.0